Last Comment Bug 802834 - http://maps.nokia.com/webgl/ leaks
: http://maps.nokia.com/webgl/ leaks
Status: RESOLVED FIXED
[MemShrink]
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: unspecified
: x86 Linux
: -- normal (vote)
: mozilla19
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 795186
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 15:05 PDT by Olli Pettay [:smaug] (vacation Aug 25-28)
Modified: 2012-10-25 05:44 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Olli Pettay [:smaug] (vacation Aug 25-28) 2012-10-17 15:05:35 PDT
Something keeps WebGLTexture alive and that ends up keeping
the whole document alive.
Comment 1 Olli Pettay [:smaug] (vacation Aug 25-28) 2012-10-17 15:07:35 PDT
The addon from Bug 726346 can be useful for debugging (restart after installation).
After running cycle collector (maybe couple of times), "Find documents" shouldn't find any documents.
Comment 2 Benoit Jacob [:bjacob] (mostly away) 2012-10-17 15:12:36 PDT
This is very possibly bug 795186: let's fix that first and see if this bug persists.
Comment 3 Benoit Jacob [:bjacob] (mostly away) 2012-10-23 09:27:33 PDT
This is fixed by https://hg.mozilla.org/mozilla-central/rev/48502b61a63e , in my limited testing which consists in loading Nokia Maps, opening a new tab with about:memory, closing the Nokia Maps tab, and clicking GC and CC (but NOT 'minimize memory usage') a few times in about:memory and verifying that all webgl metrics disappear.
Comment 4 Benoit Jacob [:bjacob] (mostly away) 2012-10-24 07:25:36 PDT
This seems to have been a regression from the port to WebIDL bindings as well --- just tested a nightly build from Sept. 17 and it didn't have the issue.

Note You need to log in before you can comment on or make changes to this bug.